Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint.inbound
Class InboundExceptionDetailsMessageProcessor

    java.lang.Object
      org.mule.endpoint.inbound.InboundExceptionDetailsMessageProcessor

All Implemented Interfaces:
  MessageProcessor

    public class InboundExceptionDetailsMessageProcessor

extends Object
implements MessageProcessor

Sets error message properties as specified by the transport based on the exception type of the exception payload. This mechanism uses a transport properties file in the META-INF/services/org/mule/config directory called mule-exception-codes.properties. This property file maps the fully qualified class names of exceptions to the value of the property that should be set. The name of the property is defined by the error.code.property property in the same properties file.

Field Summary
`protected Connector` | `connector`

Constructor Summary
`InboundExceptionDetailsMessageProcessor(Connector connector)`

Method Summary
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.
`protected void` | `setExceptionDetails(MuleMessage message, Connector connector, Throwable exception)` This method is used to set any additional and possibly transport specific information on the return message where it has an exception payload.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### connector

    protected Connector connector

Constructor Detail

### InboundExceptionDetailsMessageProcessor

    public InboundExceptionDetailsMessageProcessor(Connector connector)

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

### setExceptionDetails

    protected void setExceptionDetails(MuleMessage message,
                                       Connector connector,
                                       Throwable exception)

  This method is used to set any additional and possibly transport specific information on the return message where it has an exception payload.

  Parameters:
    `message` -
    `exception` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.